dp14txss: xvid_pat_gen.h File Reference

| dp14txss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Macros | Functions
xvid_pat_gen.h File Reference

## Overview

This is the main header file for Xilinx Video Pattern Generator.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  shad   01/29/15 Initial release.

## Macros
#define | XVID_PAT_GEN_H_
| Prevent circular inclusions by using protection macros. More...

## Functions
int | Vpg_StreamSrcConfigure (XDp *InstancePtr, u8 VSplitMode, u8 first_time)
| This function updates required timing values in Video Pattern Generator core. More...
void | Vpg_VidgenSetTestPattern (XDp *InstancePtr, u8 Stream)
| This function sets pattern to generate in Video Pattern Generator core. More...
void | Vpg_VidgenSetUserPattern (XDp *InstancePtr, u8 Pattern)
| This function sets user pattern. More...

## Macro Definition Documentation

#define XVID_PAT_GEN_H_

Prevent circular inclusions by using protection macros.

## Function Documentation

int Vpg_StreamSrcConfigure | ( | XDp * | InstancePtr,
|  | u8 | VSplitMode,
|  | u8 | first_time
| ) |  |

This function updates required timing values in Video Pattern Generator core.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  VSplitMode | specifies vertical split mode to be used for splitting resolution vertically.

Returns
  - XST_SUCCESS if Video pattern configured successfully.

Note
  None.

References Vpg_VidgenSetTestPattern().

Referenced by detect_rx_video_and_startTx(), hpd_con(), start_tx(), and switch_to_Tx_only().

void Vpg_VidgenSetTestPattern | ( | XDp * | InstancePtr,
|  | u8 | Stream
| ) |  |

This function sets pattern to generate in Video Pattern Generator core.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  Stream | is the stream number for which to set the pattern.

Returns
  None.

Note
  None.

Referenced by Vpg_StreamSrcConfigure().

void Vpg_VidgenSetUserPattern | ( | XDp * | InstancePtr,
|  | u8 | Pattern
| ) |  |

This function sets user pattern.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  Pattern | number to set with

Returns
  None.

Note
  None.

Referenced by detect_rx_video_and_startTx(), hpd_con(), start_tx(), switch_to_Tx_only(), and video_change_detect().